Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 54)
@@ -1513,71 +1578,6 @@
             this.Column12.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column12.Width = 150;
             // 
-            // label15
-            // 
-            this.label15.BackColor = System.Drawing.Color.Cyan;
-            this.label15.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label15.Location = new System.Drawing.Point(1052, 7);
-            this.label15.Name = "label15";
-            this.label15.Size = new System.Drawing.Size(120, 25);
-            this.label15.TabIndex = 69;
-            this.label15.Text = "発注書作成日";
-            this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // TabCollections
-            // 
-            this.TabCollections.Alignment = System.Windows.Forms.TabAlignment.Bottom;
-            this.TabCollections.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-            this.TabCollections.Controls.Add(this.tabPage1);
-            this.TabCollections.Location = new System.Drawing.Point(7, 150);
-            this.TabCollections.Name = "TabCollections";
-            this.TabCollections.SelectedIndex = 0;
-            this.TabCollections.Size = new System.Drawing.Size(1330, 502);
-            this.TabCollections.TabIndex = 56;
-            // 
-            // btnOtherProc
-            // 
-            this.btnOtherProc.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-            this.btnOtherProc.BackColor = System.Drawing.Color.SpringGreen;
-            this.btnOtherProc.Location = new System.Drawing.Point(7, 656);
-            this.btnOtherProc.Name = "btnOtherProc";
-            this.btnOtherProc.Size = new System.Drawing.Size(160, 30);
-            this.btnOtherProc.TabIndex = 95;
-            this.btnOtherProc.TabStop = false;
-            this.btnOtherProc.Text = "他の画面へ";
-            this.btnOtherProc.UseVisualStyleBackColor = false;
-            this.btnOtherProc.Click += new System.EventHandler(this.btnOtherProc_Click);
-            // 
-            // btnPageDelete
-            // 
-            this.btnPageDelete.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnPageDelete.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
-            this.btnPageDelete.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnPageDelete.ForeColor = System.Drawing.Color.Black;
-            this.btnPageDelete.Location = new System.Drawing.Point(812, 656);
-            this.btnPageDelete.Name = "btnPageDelete";
-            this.btnPageDelete.Size = new System.Drawing.Size(120, 30);
-            this.btnPageDelete.TabIndex = 96;
-            this.btnPageDelete.Text = "ページ削除";
-            this.btnPageDelete.UseVisualStyleBackColor = false;
-            this.btnPageDelete.Click += new System.EventHandler(this.btnPageDelete_Click);
-            // 
-            // btnChangeCompany
-            // 
-            this.btnChangeCompany.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnChangeCompany.BackColor = System.Drawing.Color.DeepSkyBlue;
-            this.btnChangeCompany.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnChangeCompany.ForeColor = System.Drawing.Color.Black;
-            this.btnChangeCompany.Location = new System.Drawing.Point(686, 655);
-            this.btnChangeCompany.Name = "btnChangeCompany";
-            this.btnChangeCompany.Size = new System.Drawing.Size(120, 30);
-            this.btnChangeCompany.TabIndex = 97;
-            this.btnChangeCompany.Text = "発注先変更";
-            this.btnChangeCompany.UseVisualStyleBackColor = false;
-            this.btnChangeCompany.Click += new System.EventHandler(this.btnChangeCompany_Click);
-            // 
             // FrmPurchaseOrderEntry
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -1612,6 +1612,7 @@
             this.tabPage1.ResumeLayout(false);
             this.panel3.ResumeLayout(false);
             this.panel3.PerformLayout();
+            this.TabCollections.ResumeLayout(false);
             this.groupBox3.ResumeLayout(false);
             this.groupBox3.PerformLayout();
             this.groupBox2.ResumeLayout(false);
@@ -1623,7 +1624,6 @@
             this.groupBox1.ResumeLayout(false);
             this.groupBox1.PerformLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).EndInit();
-            this.TabCollections.ResumeLayout(false);
             this.ResumeLayout(false);
 
         }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 54)
@@ -649,8 +649,10 @@
                     // 元工事番号
                     CurRow.Cells[(int)DispDetailGridColumn.SourceCode].Value = DetailRec.ConstructionCode;
                     TotalPrice += DetailRec.ExecutionAmount;
+                    // 工事台帳行
+                    CurRow.Cells[(int)DispDetailGridColumn.LedgerLine].Value = DetailRec.LineCount;
+
                     Linecnt++;
-
                 }
 
                 // 支払条件の初期設定
@@ -769,6 +771,9 @@
                 string strSQL = SubCDB.CreatePrimarykeyString(DataRec.CompanyCode);
                 SubCDB.SelectAction(strSQL, ref SubRec);
 
+                // 台帳発注金額テーブル作成
+                ReadLedgerOrder();
+
                 // 協力会社名セット
                 inputpage.EntryTab.Text = SubRec.CompanyName;
                 inputpage.PageValueItem[(int)PageValue.SubConstractorName].Text = SubRec.CompanyName;
@@ -777,7 +782,9 @@
 
                 inputpage.PageTextBox.Text = DataRec.CreateDate.ToShortDateString();                                        // 作成日付
 
-                inputpage.PageValueItem[(int)PageValue.OrderPrice].Text = DataRec.OrderPrice.ToString("#,0");               // 発注金額
+                //inputpage.PageValueItem[(int)PageValue.OrderPrice].Text = DataRec.OrderPrice.ToString("#,0");             // 発注金額
+                // 台帳発注金額テーブルより指定業者の発注金額を取得する
+                inputpage.PageValueItem[(int)PageValue.OrderPrice].Text = GetLedgerOrderValue(DataRec.CompanyCode).ToString("#,0");
 
                 if (DataRec.LastRowStringDate != DateTime.MinValue)
                     inputpage.Group1TextBox.Text = DataRec.LastRowStringDate.ToShortDateString();                           // 最終行表示文字
@@ -914,6 +921,73 @@
             }
         }
         #endregion
+
+        /// <summary>
+        /// 台帳発注金額テーブル
+        /// </summary>
+        private List<KeyValuePair<int, int>> LedgerOrderPrice = new List<KeyValuePair<int, int>>();
+
+        #region 台帳発注金額テーブル作成
+        /// <summary>
+        /// 台帳発注金額テーブル作成
+        /// </summary>
+        private void ReadLedgerOrder()
+        {
+            IOConstructionLedgerDetail LedgerDDB = new IOConstructionLedgerDetail();
+            try
+            {
+                LedgerOrderPrice.Clear();
+
+                string strSQL = "SELECT COMPANYCODE, SUM(EXECUTIONAMOUNT) FROM CONSTRUCTIONLEDGERDETAIL";
+                strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL += string.Format(" AND GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
+                strSQL += " GROUP BY COMPANYCODE ORDER BY COMPANYCODE";
+                ArrayList arList = new ArrayList();
+                LedgerDDB.ExecuteReader(strSQL, ref arList);
+                foreach (object[] objRec in arList)
+                {
+                    LedgerOrderPrice.Add(new KeyValuePair<int, int>(CommonMotions.cnvInt(objRec[0]), CommonMotions.cnvInt(objRec[1])));
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                LedgerDDB.close(); LedgerDDB = null;
+            }
+        }
+        #endregion
+
+        #region 台帳発注金額テーブルより指定業者の発注金額を取得する
+        /// <summary>
+        /// 台帳発注金額テーブルより指定業者の発注金額を取得する
+        /// </summary>
+        /// <param name="CompanyCode"></param>
+        /// <returns></returns>
+        private int GetLedgerOrderValue(int CompanyCode)
+        {
+            try
+            {
+                int iRet = 0;
+                foreach (KeyValuePair<int, int> CurValue in LedgerOrderPrice)
+                {
+                    if (CompanyCode == CurValue.Key)
+                    {
+                        iRet = CurValue.Value;
+                        break;
+                    }
+                }
+                return iRet;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+        }
+        #endregion
         // ---------- 注文書よりデータ作成          　↑↑
 
         #region 簡易版支払条件の初期値セット
@@ -1126,7 +1200,7 @@
                     // 最終行文字日付（必須チェックは申請時のみ）
                     bPageAns &= CommonMotions.DispFieldDateCheck(CurPage.Group1TextBox);
 
-                    //// 注文書データ読込
+                    // 注文書データ読込
                     string strSQL = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
                     ConstructionLedger LedgerRec = new ConstructionLedger();
                     if (!LedgerDB.SelectAction(strSQL, ref LedgerRec)) continue;
@@ -1133,6 +1207,8 @@
 
                     // 発注金額・合計金額のチェック(入力金額が大きくなった場合はエラー)
                     bool bNotErr = true;
+                    //if (LedgerRec.OrdersDecisionPrice < CommonMotions.cnvDouble(CurPage.PageValueItem[(int)PageValue.OrderPrice].Text))
+                    //if (CommonMotions.cnvDouble(CurPage.PageValueItem[(int)PageValue.OrderPrice].Text) < CommonMotions.cnvDouble(CurPage.Group1Label.Text))
                     if (LedgerRec.OrdersDecisionPrice < CommonMotions.cnvDouble(CurPage.Group1Label.Text))
                     {
                         bNotErr = false;
@@ -1139,7 +1215,7 @@
                         bPageAns = false;
                     }
                     // 背景色変更
-                    CommonMotions.chgBackColor(CurPage.PageValueItem[(int)PageValue.OrderPrice], bNotErr);
+                    //CommonMotions.chgBackColor(CurPage.PageValueItem[(int)PageValue.OrderPrice], bNotErr);
                     CommonMotions.chgBackColor(CurPage.Group1Label, bNotErr);
 
                     // 明細
@@ -1367,9 +1443,10 @@
                 DataRec.CompanyCode = DataTab.OrderCompanyCode;                                                         // 協力会社コード
 
                 DataRec.CreateDate = CommonMotions.cnvDate(DataTab.PageTextBox.Text);                                   // 作成日付
-                
-                DataRec.OrderPrice = CommonMotions.cnvDouble(DataTab.PageValueItem[(int)PageValue.OrderPrice].Text);    // 発注金額
 
+                //DataRec.OrderPrice = CommonMotions.cnvDouble(DataTab.PageValueItem[(int)PageValue.OrderPrice].Text);    // 発注金額
+                DataRec.OrderPrice = CommonMotions.cnvDouble(DataTab.Group1Label.Text);                                 // 発注金額
+
                 DataRec.LastRowStringDate = CommonMotions.cnvDate(DataTab.Group1TextBox.Text);                          // 最終行表示日付
 
                 // 簡易版と正規版では登録内容が違う
@@ -1566,6 +1643,7 @@
                     LedgerLine = CommonMotions.cnvInt(CurRow.Cells[(int)DispDetailGridColumn.LedgerLine].Value);
                     // 数量金額無は処理しない
                     if (QuantityVal == 0 && PriceVal == 0) continue;
+                    if (LedgerLine == 0) continue;
 
                     // 変更がある場合は協力会社を変更する
                     if (ChangeCompany)
@@ -1576,11 +1654,11 @@
                         strSQL += string.Format(" AND SOURCECODE = {0}", m_ConstructionCode);
                         strSQL += string.Format(" AND GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
                         strSQL += string.Format(" AND COMPANYCODE = {0}", BeforeCode);
-                        strSQL += string.Format(" AND EXECUTIONAMOUNT = {0}", PriceVal);
+                        //strSQL += string.Format(" AND EXECUTIONAMOUNT = {0}", PriceVal);
                         if (LedgerLine != 0) strSQL += string.Format(" AND LINECOUNT = {0}", LedgerLine);
                         if (!LDetailDB.UpdateFeild(strSQL, TargetField, DataTab.EntryTab.Text, false))
                         {
-                            LDetailDB.rollback();
+                            LogicalErrorMessage("注文書データ：協力会社名称変更に失敗しました。", "更新エラー", CommonMotions.GetMethodName());
                             return false;
                         }
                         // 協力会社コード変更
@@ -1587,7 +1665,7 @@
                         TargetField = (int)IOConstructionLedgerDetail.DataColumn.CompanyCode;
                         if (!LDetailDB.UpdateFeild(strSQL, TargetField, DataTab.OrderCompanyCode, false))
                         {
-                            LDetailDB.rollback();
+                            LogicalErrorMessage("注文書データ：協力会社コード変更に失敗しました。", "更新エラー", CommonMotions.GetMethodName());
                             return false;
                         }
                     }
@@ -1597,11 +1675,11 @@
                     strSQL += string.Format(" AND SOURCECODE = {0}", m_ConstructionCode);
                     strSQL += string.Format(" AND GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
                     strSQL += string.Format(" AND COMPANYCODE = {0}", DataTab.OrderCompanyCode);
-                    strSQL += string.Format(" AND EXECUTIONAMOUNT = {0}", PriceVal);
+                    //strSQL += string.Format(" AND EXECUTIONAMOUNT = {0}", PriceVal);
                     if (LedgerLine != 0) strSQL += string.Format(" AND LINECOUNT = {0}", LedgerLine);
                     if (!LDetailDB.UpdateFeild(strSQL, TargetField, 1, false))
                     {
-                        LDetailDB.rollback();
+                        LogicalErrorMessage("注文書データ：注文書作成フラグ更新に失敗しました。", "更新エラー", CommonMotions.GetMethodName());
                         return false;
                     }
                 }
@@ -1944,8 +2022,8 @@
 
                 // 合計欄の表示
                 CurPage.Group1Label.Text = PriceValueValue.ToString("#,0");
-                // 発注金額更新
-                CurPage.PageValueItem[(int)PageValue.OrderPrice].Text = PriceValueValue.ToString("#,0");
+                // 発注金額更新(発注金額は変更しない 2017/03/17)
+                //CurPage.PageValueItem[(int)PageValue.OrderPrice].Text = PriceValueValue.ToString("#,0");
 
                 // 正規版の場合は金額を修正する
                 if (radioButton2.Checked)
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/ProcessControl.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/ProcessControl.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/ProcessControl.cs	(revision 54)
@@ -610,6 +610,7 @@
                 if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
                     m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
                 {
+                    frmTying.ParentAdd = true;
                     frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList;
                     frmTying.ConstructionCode = m_ConstructionCode;
                     frmTying.ShowDialog();
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/ProcessControl.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/ProcessControl.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/ProcessControl.cs	(revision 54)
@@ -610,6 +610,7 @@
                 if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
                     m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
                 {
+                    frmTying.ParentAdd = true;
                     frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList;
                     frmTying.ConstructionCode = m_ConstructionCode;
                     frmTying.ShowDialog();
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 54)
@@ -134,6 +134,7 @@
             try
             {
                 cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                SetcombBoxPerson();
                 cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
             }
             catch (Exception ex)
@@ -1305,40 +1306,25 @@
                     // グリッド取得
                     DataGridView dgv = m_dispGridControl[i];
 
-                    strSQL = "INSERT ALL";
                     // グリッドの行分処理を行う
                     int Addcnt = 1;
-                    strSubSQL = string.Empty;
                     foreach (DataGridViewRow wrkRow in dgv.Rows)
                     {
                         // 金額が無い行は処理しない
                         if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.EntryPrice].Value) == 0) continue;
 
-                        // データ編集
-                        //CostDataOfPerson costRec = new CostDataOfPerson();
-                        //SetCostsRecData(i, wrkRow, ref costRec);
-                        
-                        //// データ追加番号のセット
-                        //costRec.DataAddCount = Addcnt++;
-                        //// 対象年月のセット
-                        //costRec.TargetMonth = TargetMonth;
-
-                        //if (!CostDB.InsertAction(costRec, false))
-                        //{
-                        //    MessageBox.Show("担当者毎経費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        //    CostDB.rollback();
-                        //    return false;
-                        //}
-                        SetCostsRecData2(i, wrkRow, Addcnt, ref strSubSQL);
+                        SetCostsRowDataSQL(i, wrkRow, Addcnt, ref strSubSQL);
                         Addcnt++;
                     }
-                    if (strSubSQL.Length == 0) continue;
+                }
+                if (strSubSQL.Length > 0)
+                {
+                    strSQL = "INSERT ALL";
                     strSQL += strSubSQL;
                     strSQL += " SELECT * FROM DUAL";
                     if (!CostDB.ExecuteNonQuery(strSQL, false))
                     {
                         MessageBox.Show("担当者毎経費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        CostDB.rollback();
                         return false;
                     }
                 }
@@ -1413,7 +1399,7 @@
         /// </summary>
         /// <param name="costRec"></param>
         /// <param name="CurTabCnt"></param>
-        private void SetCostsRecData2(int CurTabCnt, DataGridViewRow dgvRow, int Addcnt, ref string strSQL)
+        private void SetCostsRowDataSQL(int CurTabCnt, DataGridViewRow dgvRow, int Addcnt, ref string strSQL)
         {
             try
             {
